Errore upgrade ada 2.4 a 3.0

Installazione, configurazione generale, notifiche, API, lingue, problemi server
Post Reply
artcosmetics
Newbie
Posts: 2
Joined: Mon May 17, 2021 10:01 am

Errore upgrade ada 2.4 a 3.0

Post by artcosmetics »

Buongiorno,
durante il tentativo di update del server mi appare il seguente messaggio:

Image

A cosa potrebbe essere dovuto?
Grazie

alfa24
Senior Boarder
Posts: 1345
Joined: Fri Nov 24, 2017 8:45 am
Version: forma.lms 1.4.2

Re: Errore upgrade ada 2.4 a 3.0

Post by alfa24 »

Da quello che vedo, l'upgrader mostra la versione PHP anche dove dovrebbe esserci quella MySql.
Del resto non potresti avere una versione di MySql 7.x.
Dall'errore suppongo che tu stia quindi usando una versione di MySql precedente alla 5.6.5, in cui il supporto per l'inizializzazione automatica e l'aggiornamento è piuttosto limitato per i campi TIMESTAMP e DATETIME:

https://dev.mysql.com/doc/refman/5.6/en ... ation.html

FIX:

Aggiornare MySql

Workaround:

Intervienire sul campo, togliere il valore di default o cambiare il tipo di campo, oppure va disposto un trigger che gestisca l'aggiornamento automatico della colonna anziché il default di mysql.
I'm Jasmines, the One. If you need, you can contact me.

artcosmetics
Newbie
Posts: 2
Joined: Mon May 17, 2021 10:01 am

Re: Errore upgrade ada 2.4 a 3.0

Post by artcosmetics »

Risolto, aggiornato la versione di di mariaDB dalla 5.5 alla 10 direttamente.
Grazie mille.

User avatar
alberto
FormaLms Guru
Posts: 1065
Joined: Fri Mar 02, 2012 9:18 am
Contact:

Re: Errore upgrade ada 2.4 a 3.0

Post by alberto »

Grazie artcosmetics per la segnalazione!
mi raccomando ricorda che questa è una Release Candidate e non è raccomandato utilizzarla per ambienti di produzione ;)
--------------------------------------------------
Become a CONTRIBUTOR

Support the project for FREE!
www.Elearnit.net

Post Reply